Entitlement Insight - Get Tenant Resources Across Environments
Get tenant resources for an entitlement across all environments.
GET https://api.powerplatform.com/licensing/entitlements/{entitlementId}/resources?fromDate={fromDate}&toDate={toDate}&api-version=2024-10-01
GET https://api.powerplatform.com/licensing/entitlements/{entitlementId}/resources?fromDate={fromDate}&toDate={toDate}&pageSize={pageSize}&continuationToken={continuationToken}&api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
entitlement
|
path | True |
string |
The entitlement ID. |
|
api-version
|
query | True |
string |
The API version. |
|
from
|
query | True |
string |
The start date (inclusive) of the query range. |
|
to
|
query | True |
string |
The end date (inclusive) of the query range. |
|
continuation
|
query |
string |
Opaque continuation token returned by the previous page, or null for the first page. |
|
|
page
|
query |
integer (int32) |
Maximum number of environments to fan out to per page. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
|
| 404 Not Found |
Not Found |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Entitlement |
The unit of measure for an entitlement. |
|
Tenant |
Per-resource snapshot for a tenant-scoped, all-environments listing. |
|
Tenant |
A paged response with a continuation token. |
EntitlementUnit
The unit of measure for an entitlement.
| Value | Description |
|---|---|
| NotSpecified | |
| MB | |
| Count | |
| Hour |
TenantEnvironmentResourceSnapshotResponseModel
Per-resource snapshot for a tenant-scoped, all-environments listing.
| Name | Type | Description |
|---|---|---|
| consumed |
number (double) |
The consumed value. |
| environmentId |
string |
The environment this resource belongs to. |
| lastRefreshedDate |
string (date-time) |
The last refreshed date. |
| metadata |
object |
Additional metadata such as Feature, ProductName and nonBillableConsumed for MCSMessages. |
| resourceId |
string |
The resource ID. |
| unit |
The unit of measure for an entitlement. |
TenantEnvironmentResourceSnapshotResponseModelPagedResponse
A paged response with a continuation token.
| Name | Type | Description |
|---|---|---|
| @odata.count |
integer (int32) |
|
| @odata.nextLink |
string |
|
| continuationtoken |
string |
|
| value |
Per-resource snapshot for a tenant-scoped, all-environments listing. |